
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest1 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test001"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, (-3069));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test002"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(36, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test003"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver3 = new org.apache.commons.math3.analysis.solvers.BrentSolver(0.0d, 0.22343403979971044d, 0.8623188722876839d);
    double d4 = brentSolver3.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test004"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh((-3.0819956143591725d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 10.923867381301614d);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test005"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.68435456E9f, 1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.68435456E9f);

  }

  @Test
  public void test006() {}
// Defects4J: flaky method
//   @Test
//   public void test006() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test006"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(1.0238439825804853d, 1.606031796132914E-5d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i10 = randomDataImpl1.nextPascal((-3069), 7679.552638785351d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.13365580457601625d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0238760018823376d);
// 
//   }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test007"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(17.482450025501496d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5136583677089197d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test008"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(2.718281828459045d, 0.6885207570014127d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.6885207570014127d);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test009"); }


    double d2 = org.apache.commons.math3.special.Beta.logBeta(3.244257077789485d, (-24.40870211195974d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test010() {}
// Defects4J: flaky method
//   @Test
//   public void test010() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test010"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     java.lang.String str11 = randomDataImpl1.nextHexString(243);
//     long long14 = randomDataImpl1.nextSecureLong((-101L), (-19L));
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str16 = randomDataImpl1.nextHexString((-1014116715));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.1456357314732617d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.4506119796948114d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "5d8d2f5e71b8b642c5346b962b2481a58f9e48b01724397e4fcd31fa1bc52285dfea1501b76555a71684caa94125e68ced8c1f0ab5f931cef114397f1721fe5d34c13d11cc10d1570abf6110636152933a6dcac75611ceca24af085fa120ec56150468c557dab812ed490a6d41479369467a34da78ce3a08149"+ "'", str11.equals("5d8d2f5e71b8b642c5346b962b2481a58f9e48b01724397e4fcd31fa1bc52285dfea1501b76555a71684caa94125e68ced8c1f0ab5f931cef114397f1721fe5d34c13d11cc10d1570abf6110636152933a6dcac75611ceca24af085fa120ec56150468c557dab812ed490a6d41479369467a34da78ce3a08149"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long14 == (-40L));
// 
//   }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test011"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta(10.0d, 6.224495113689437E-9d, 2.94000201235261d, 1.6060317962019556E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test012"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(10, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test013"); }


    java.lang.Number number0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(number0);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test014"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 36);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test015"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test016"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(3.4054852753983065E-4d, 3.207695706666687E-4d, 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test017"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)3.4054852753983065E-4d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test018"); }


    long long1 = org.apache.commons.math3.util.FastMath.abs((-120L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 120L);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test019"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test020"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(0.10737273561572697d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test021"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-8015656266124754944L), 932752001);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test022"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaP(0.8623188722876838d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test023"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.5707963267948966d, 0.052323075673328855d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.5374987337403914d);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test024"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(35.925836905284974d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.555406893970177d);

  }

  @Test
  public void test025() {}
// Defects4J: flaky method
//   @Test
//   public void test025() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test025"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     randomDataImpl1.reSeedSecure();
//     double d5 = randomDataImpl1.nextBeta(0.8494287728275874d, 192.0263129343604d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long8 = randomDataImpl1.nextLong(1L, 0L);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d5 == 2.5125834278198154E-4d);
// 
//   }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test026"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 9.332621544395286E157d, 118.76020307142231d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test027"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(900977195, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 900977195);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test028"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(11002.29728659726d, 0.3267011923641013d, 0.9784843995724453d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test029"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(15, (-50));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-15));

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test030"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError(localizable5, obj_array7);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)'#', localizable4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)192.02631293549743d, obj_array7);
    org.apache.commons.math3.exception.ConvergenceException convergenceException12 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, obj_array7);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError13 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)convergenceException12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test031"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(15, 1.1920929E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test032"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 0.6885207570014127d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test033"); }


    org.apache.commons.math3.util.Incrementor incrementor0 = new org.apache.commons.math3.util.Incrementor();
    boolean b1 = incrementor0.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test034"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(180L, (-99L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 279L);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test035"); }


    float f2 = org.apache.commons.math3.util.Precision.round(0.0f, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test036"); }


    double d0 = org.apache.commons.math3.util.FastMath.PI;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 3.141592653589793d);

  }

  @Test
  public void test037() {}
// Defects4J: flaky method
//   @Test
//   public void test037() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test037"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(1.0238439825804853d, 1.606031796132914E-5d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i10 = randomDataImpl1.nextZipf((-3069), 0.6885207570014127d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.02660455884499477d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0238829097999798d);
// 
//   }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test038"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.5f, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.4999998f);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test039"); }


    double d0 = org.apache.commons.math3.distribution.AbstractRealDistribution.SOLVER_DEFAULT_ABSOLUTE_ACCURACY;
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d0 == 1.0E-6d);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test040"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp((-1.1481328362074392E-8d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6543612251060553E-24d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test041"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.22343403979971044d, 1.4092514316323703d, 0.5772156649015329d, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.032298606889778626d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test042"); }


    double d2 = org.apache.commons.math3.special.Beta.logBeta(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test043"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(0.3476294811876983d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.3476294811876984d);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test044"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-155), (-15));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 465);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test045"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(9.498719468266053d, 0.0017734375918723078d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test046"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999999999971d);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test047"); }


    double d1 = org.apache.commons.math3.util.FastMath.abs((-1.0343201621074911d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0343201621074911d);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test048"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test049"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(0L, (-67L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test050"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 243);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test051() {}
// Defects4J: flaky method
//   @Test
//   public void test051() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test051"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     double d12 = randomDataImpl1.nextGamma(12.801827480081469d, 3.4054852753983065E-4d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long15 = randomDataImpl1.nextSecureLong(100L, (-109L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 3.3295951429195285E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.5112725348043003d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.003921945193999841d);
// 
//   }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test052"); }


    long long2 = org.apache.commons.math3.util.FastMath.max((-109L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test053"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math3.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    double d2 = brentSolver0.getRelativeAccuracy();
    double d3 = brentSolver0.getMin();
    int i4 = brentSolver0.getEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d10 = brentSolver0.solve(0, univariateFunction6, 198.78205585770795d, 0.06224579680853361d, 12.84082500580742d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test054"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(1, (-50));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-50));

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble((-900977195), 243);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test056"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution2 = new org.apache.commons.math3.distribution.FDistribution(192.0263129343604d, 1.0343201621074911d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test057"); }


    org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution2 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
    double d3 = binomialDistribution2.getNumericalMean();
    double d4 = binomialDistribution2.getNumericalMean();
    double d5 = binomialDistribution2.getNumericalMean();
    double d6 = binomialDistribution2.getNumericalMean();
    boolean b7 = binomialDistribution2.isSupportConnected();
    // The following exception was thrown during execution in test generation
    try {
      int i9 = binomialDistribution2.inverseCumulativeProbability((-1.0343201621074911d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 9.498719468266053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 9.498719468266053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 9.498719468266053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 9.498719468266053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test058"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.211959131415142E-7d, 0.5772156649015329d, 0.9498719468266054d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test059"); }


    long long2 = org.apache.commons.math3.util.FastMath.max(0L, 120L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 120L);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test060"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math3.exception.MathInternalError mathInternalError10 = new org.apache.commons.math3.exception.MathInternalError(localizable7, obj_array9);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)'#', localizable6, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 6.167796549920482E-5d, (-1.0343201621075044d), 0.07267582725796101d, 0.45858723372996735d, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test061"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, (-14L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test062"); }


    double d1 = org.apache.commons.math3.util.FastMath.log10(1.7993007196541928d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.2551037536579766d);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test063"); }


    // The following exception was thrown during execution in test generation
    try {
      float f3 = org.apache.commons.math3.util.Precision.round(2.5f, 31, (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test064"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math3.exception.ConvergenceException convergenceException11 = new org.apache.commons.math3.exception.ConvergenceException(localizable5, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 199.0d, 1.9175453794944558E-4d, 2.0235024661379818E-12d, 6.283185307179586d, obj_array9);
    double d13 = noBracketingException12.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.9175453794944558E-4d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test065"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError(localizable3, obj_array5);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)'#', localizable2, obj_array5);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException8 = new org.apache.commons.math3.exception.MathArithmeticException(localizable0, obj_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = mathArithmeticException8.getContext();
    org.apache.commons.math3.exception.util.Localizable localizable10 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { (-0.8390715290764524d) };
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)Double.NaN, localizable13, obj_array15);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException17 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.9498719468266054d, obj_array15);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)mathArithmeticException8, localizable10, obj_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test066"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(6.283185307179586d, 0.016935616361874108d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.2190474391203585d));

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test067"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray1.setElement((-3069), (-0.21794414229205472d));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test068"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.68435482E9f, 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.68435482E9f);

  }

  @Test
  public void test069() {}
// Defects4J: flaky method
//   @Test
//   public void test069() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test069"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     randomDataImpl1.reSeed();
//     long long13 = randomDataImpl1.nextLong((-33L), (-1L));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = randomDataImpl1.nextF(0.0017734375918723078d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.2949004824410975E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.617478232807848d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == (-28L));
// 
//   }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test070"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Throwable throwable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Object[] obj_array4 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException5 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable1, localizable2, obj_array4);
    org.apache.commons.math3.exception.ConvergenceException convergenceException6 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, obj_array4);
    // The following exception was thrown during execution in test generation
    try {
      java.lang.String str7 = convergenceException6.toString();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test071"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(6.901039885207964E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0000000023812177d);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test072"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(short)1, (java.lang.Number)(short)10, (java.lang.Number)(short)(-1));
    java.lang.Number number4 = outOfRangeException3.getHi();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = outOfRangeException3.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)(-1)+ "'", number4.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test073"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot((-5.361867067838393d), (-0.21794414229205472d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.366294634319784d);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test074"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.0238439825804855d, (java.lang.Number)(short)0, true);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    boolean b5 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test075() {}
// Defects4J: flaky method
//   @Test
//   public void test075() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test075"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(1.0238439825804853d, 1.606031796132914E-5d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = randomDataImpl1.nextBeta(5.266130095142733E-4d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException");
//     } catch (org.apache.commons.math3.exception.NoBracketingException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NoBracketingException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NoBracketingException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.05802172427153602d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0238041601426497d);
// 
//   }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test076"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.3476294811876983d, 2.339325509943003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.3476294811876983d);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test077"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double d3 = resizableDoubleArray1.addElementRolling(3.244257077789485d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray1.copy();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double d8 = resizableDoubleArray6.addElementRolling(3.244257077789485d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = resizableDoubleArray6.copy();
    boolean b10 = resizableDoubleArray1.equals((java.lang.Object)resizableDoubleArray9);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray9.setExpansionMode((-900977195));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test078"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(0.47615231458439955d, 0.3267011923641013d, 0.0018395067118196723d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test079"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(77.2922297840421d, 0.15531222785647714d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 77.2922297840421d);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test080"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(3, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-1023));

  }

  @Test
  public void test081() {}
// Defects4J: flaky method
//   @Test
//   public void test081() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test081"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     randomDataImpl1.reSeed();
//     double d13 = randomDataImpl1.nextGamma(1.0d, 0.3236565656747888d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.27374546156124d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.046903079195173045d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 0.23314241246528525d);
// 
//   }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test082"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-99L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test083"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(2.4542296030351776d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 2L);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test084"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 2.758298772720263E-7d, 2.2119591259435033E-7d, (-26.811722974824676d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test085"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(2.2119591259435033E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9999999999999756d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test086"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)10.0f);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = notStrictlyPositiveException1.getContext();
    boolean b4 = notStrictlyPositiveException1.getBoundIsAllowed();
    java.lang.Number number5 = notStrictlyPositiveException1.getMin();
    java.lang.Number number6 = notStrictlyPositiveException1.getMin();
    boolean b7 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 0+ "'", number5.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number6 + "' != '" + 0+ "'", number6.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == false);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test087"); }


    org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
    org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
    randomDataImpl1.reSeedSecure();
    // The following exception was thrown during execution in test generation
    try {
      int i5 = randomDataImpl1.nextPascal((-127), 53.5140380476494d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test088"); }


    org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution2 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
    double d3 = binomialDistribution2.getNumericalMean();
    double d6 = binomialDistribution2.cumulativeProbability(100, 100);
    double d7 = binomialDistribution2.getNumericalVariance();
    double d9 = binomialDistribution2.cumulativeProbability(36);
    // The following exception was thrown during execution in test generation
    try {
      int[] i_array11 = binomialDistribution2.sample((-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 9.498719468266053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.47615231458439955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.0d);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test089"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double[] d_array8 = resizableDoubleArray5.getInternalValues();
    int i9 = resizableDoubleArray5.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray5);
    float f11 = resizableDoubleArray10.getContractionCriteria();
    // The following exception was thrown during execution in test generation
    try {
      double d13 = resizableDoubleArray10.getElement(0);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 2.5f);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test090"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    // The following exception was thrown during execution in test generation
    try {
      double d4 = resizableDoubleArray1.substituteMostRecentElement(0.0022550811393128325d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test091"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.0823244146487169d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-2.497087560994402d));

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test092"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(53.5140380476494d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3066.128524832818d);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test093"); }


    double d1 = org.apache.commons.math3.util.FastMath.sqrt(47.48455907924084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.89090408286466d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test094"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.1920929E-7f, 1.0000001f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test095"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-44L), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-164916224L));

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test096"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.0f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == true);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test097"); }


    double d5 = org.apache.commons.math3.special.Beta.regularizedBeta(2.2119591259435033E-7d, 0.5772156649015329d, 2.0504940334721242d, 17.482450025501496d, 465);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.3081397312141246E-4d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test098"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.923867381301614d, 0.8494287728275874d, (-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test099"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(3, univariateFunction1, bracketedUnivariateSolver2, 0.0d, 3.206934458236196d, 0.0010089693252268756d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test100"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.13128132333330722d, 0.052323075673328855d, 0.5214827505061294d, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test101"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(50, (-50));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test102"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 2.2250738585072014E-308d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test103"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(3.1784608022778465E-7d, 0.046903079195173045d, 243);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test104"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math3.exception.ConvergenceException convergenceException11 = new org.apache.commons.math3.exception.ConvergenceException(localizable5, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 199.0d, 1.9175453794944558E-4d, 2.0235024661379818E-12d, 6.283185307179586d, obj_array9);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)6.283185307179586d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test105"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(113.18537945520923d);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test106"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta(1.5122596678469915E-4d, 0.0d, 0.009206835873019724d, 6.167796549920482E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test107"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(5.366294634319784d, (-1.5574077246549023d), 12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test108() {}
// Defects4J: flaky method
//   @Test
//   public void test108() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test108"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     randomDataImpl1.reSeed();
//     long long13 = randomDataImpl1.nextLong((-33L), (-1L));
//     randomDataImpl1.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       double d18 = randomDataImpl1.nextUniform(0.8623188722876839d, 0.47615231458439955d, false);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 2.7019311028379036E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.19283629585226966d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == (-19L));
// 
//   }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test109"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-100L), 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test110"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Object[] obj_array5 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math3.exception.MathInternalError mathInternalError6 = new org.apache.commons.math3.exception.MathInternalError(localizable3, obj_array5);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)'#', localizable2, obj_array5);
    org.apache.commons.math3.exception.ConvergenceException convergenceException8 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, obj_array5);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext9 = convergenceException8.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext9);

  }

  @Test
  public void test111() {}
// Defects4J: flaky method
//   @Test
//   public void test111() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test111"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     randomDataImpl1.reSeed();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i16 = randomDataImpl1.nextBinomial(243, 9.332621544395286E157d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 2.475826052478815E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-66L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 132.40098178922653d);
// 
//   }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test112"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(47.48455907924084d, (-3.0819956143591725d), 900977195);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test113"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.47304415554329315d, 8.576682540073428E-5d, 932752001);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test114"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    int i3 = org.apache.commons.math3.util.MathUtils.hash(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 29791);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test115"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)1.6060317962019556E-5d);

  }

  @Test
  public void test116() {}
// Defects4J: flaky method
//   @Test
//   public void test116() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test116"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(192.02631293549746d, 4.5904492149668E-10d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = randomDataImpl1.nextUniform(1.1933075953974313d, 0.11204159474835763d, false);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.0952338214647408E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 192.0263129363906d);
// 
//   }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test117"); }


    double d2 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.midpoint(0.009206835873019724d, 0.9784843995724453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4938456177227325d);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test118"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(1.0000001f, 0.0f, (-50));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test119"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray((-10), 2.68435456E9f, 0.0f, 28);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test120"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 0.07051057542830708d, 0.6885207570014127d, 0.0d, 100);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test121"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
    double d4 = fDistribution3.getNumericalVariance();
    double d5 = fDistribution3.getNumericalMean();
    fDistribution3.reseedRandomGenerator((-2L));
    // The following exception was thrown during execution in test generation
    try {
      double d9 = fDistribution3.inverseCumulativeProbability(1.5136583677089197d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
    } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test122"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 100.0d, (-1.0d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test123"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck((-164916224L), (-101L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-164916325L));

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test124"); }


    double d2 = org.apache.commons.math3.util.Precision.round(4.7421875d, 28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.7421875d);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test125"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable4, obj_array6);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)'#', localizable3, obj_array6);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException9 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable1, obj_array6);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException10 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)192.02631293549743d, obj_array6);
    java.lang.Throwable throwable11 = null;
    // The following exception was thrown during execution in test generation
    try {
      notFiniteNumberException10.addSuppressed(throwable11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test126"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
    double d4 = fDistribution3.getNumericalVariance();
    double d5 = fDistribution3.getNumericalMean();
    fDistribution3.reseedRandomGenerator((-2L));
    boolean b8 = fDistribution3.isSupportUpperBoundInclusive();
    double d9 = fDistribution3.getDenominatorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.1933075953974313d);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test127"); }


    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)(short)100);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test128"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test129"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver2 = new org.apache.commons.math3.analysis.solvers.BrentSolver(0.13845421255089743d, 6.224495113689437E-9d);
    int i3 = brentSolver2.getMaxEvaluations();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = brentSolver2.solve((-900977195), univariateFunction5, 1.5374987337403914d, 3066.128524832818d, 2.3081397312141246E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test130"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence((-1.0343201621075044d), 5.751230264531281d, 0.4707687602338805d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test131"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.0d, 0.3476294811876983d, 12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test132"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException2 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)(-1.0d), obj_array1);
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Throwable throwable5 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    java.lang.Object[] obj_array8 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException9 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable5, localizable6, obj_array8);
    org.apache.commons.math3.exception.ConvergenceException convergenceException10 = new org.apache.commons.math3.exception.ConvergenceException(localizable4, obj_array8);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException11 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)notFiniteNumberException2, localizable3, obj_array8);
    java.lang.Throwable throwable12 = null;
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    java.lang.Object[] obj_array15 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException16 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable12, localizable13, obj_array15);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException18 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)10.0f);
    mathIllegalStateException16.addSuppressed((java.lang.Throwable)notStrictlyPositiveException18);
    boolean b20 = notStrictlyPositiveException18.getBoundIsAllowed();
    notFiniteNumberException2.addSuppressed((java.lang.Throwable)notStrictlyPositiveException18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test133"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(28, (-900977195));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-900977167));

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test134"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(0.3476294811876984d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.7031352434630824d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test135"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(331.3025623397419d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.6843418860808015E-14d);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test136"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(9.023240352214534E-5d, 2.098611059101921E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.4060664006874021d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test137"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.4999998f, 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.4999998f);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test138"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)(-1), (short)1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)1);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test139"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test140"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math3.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    double d2 = brentSolver0.getRelativeAccuracy();
    double d3 = brentSolver0.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = brentSolver0.solve(15, univariateFunction5, 4.5904492149668E-10d, 1.5122596678469915E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test141() {}
// Defects4J: flaky method
//   @Test
//   public void test141() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test141"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl1.setSecureAlgorithm("org.apache.commons.math3.exception.TooManyEvaluationsException: illegal state: maximal count (-1) exceeded: evaluations", "org.apache.commons.math3.exception.NotStrictlyPositiveException: 10 is smaller than, or equal to, the minimum (0)");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.03298047316019405d);
// 
//   }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test142"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    resizableDoubleArray1.setContractionCriteria(100.0f);
    float f10 = resizableDoubleArray1.getExpansionFactor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f10 == 2.0f);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test143"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    resizableDoubleArray1.addElement(4.5904492149668E-10d);
    double d11 = resizableDoubleArray1.substituteMostRecentElement(0.13128132333330722d);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray1.setContractionCriteria(0.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 4.5904492149668E-10d);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test144"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, (-27));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test145() {}
// Defects4J: flaky method
//   @Test
//   public void test145() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test145"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(1.0238439825804853d, 1.606031796132914E-5d);
//     double d10 = randomDataImpl1.nextGaussian(198.78205585770795d, 192.02631293549746d);
//     long long12 = randomDataImpl1.nextPoisson(2.300531789203629E-4d);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl1.setSecureAlgorithm("4703a448afa0aabe3b9cdc15bf67e510dbb18f6327c115fb12281d48d067706198fdb2eb2a9369742529457f159b5c26c2b7a7429eafc4de7b451103e1e74452523d328dd2b5deb33717adaa80b513a18b3fa176559ac151ab2f58e0dbe420c1c5f1e05e77ed08222d0d460c9bdfc5b7695c610041d67491b6f", "");
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.032771919171341854d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0238461176604148d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 227.49243783927713d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long12 == 0L);
// 
//   }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test146"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    int i2 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array0);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray3.discardFrontElements((-155));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test147"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan(0.007968481907933533d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.007968313256913299d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test148"); }


    int i2 = org.apache.commons.math3.util.FastMath.max(5, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 5);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test149"); }


    // The following exception was thrown during execution in test generation
    try {
      long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial((-1014116715));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test150"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double[] d_array8 = resizableDoubleArray5.getInternalValues();
    int i9 = resizableDoubleArray5.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray5);
    float f11 = resizableDoubleArray10.getExpansionFactor();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 2.0f);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test151"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(29791, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 297910);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test152"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, 5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test153() {}
// Defects4J: flaky method
//   @Test
//   public void test153() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test153"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(1.0238439825804853d, 1.606031796132914E-5d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d10 = randomDataImpl1.nextF(0.0d, 0.009206835873019724d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 4.5506537557578206E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.0231876613021118d);
// 
//   }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test154"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(short)1, (java.lang.Number)(short)10, (java.lang.Number)(short)(-1));
    java.lang.Number number4 = outOfRangeException3.getHi();
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Number number7 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException9 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable5, (java.lang.Number)0.0f, number7, true);
    outOfRangeException3.addSuppressed((java.lang.Throwable)numberIsTooSmallException9);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext11 = numberIsTooSmallException9.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)(-1)+ "'", number4.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext11);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test155"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide(9, univariateFunction1, bracketedUnivariateSolver2, 6.167796549920482E-5d, 2.339325509943003d, 105.79194166889471d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test156"); }


    double d1 = org.apache.commons.math3.util.FastMath.nextUp(1.5342938391999077E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.534293839199908E-9d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test157"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test158"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray((-28), 2.5f, 1.1920929E-7f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test159"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.5904492149668E-10d, 0.007968313256913299d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test160"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(short)1, (java.lang.Number)(short)10, (java.lang.Number)(short)(-1));
    java.lang.Number number4 = outOfRangeException3.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)10+ "'", number4.equals((short)10));

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test161"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(7.825618331281534d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.0d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test162"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)10.0f);
    java.lang.Number number2 = notStrictlyPositiveException1.getMin();
    boolean b3 = notStrictlyPositiveException1.getBoundIsAllowed();
    boolean b4 = notStrictlyPositiveException1.getBoundIsAllowed();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext5 = notStrictlyPositiveException1.getContext();
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException6 = new org.apache.commons.math3.exception.MathArithmeticException();
    notStrictlyPositiveException1.addSuppressed((java.lang.Throwable)mathArithmeticException6);
    java.lang.String str8 = notStrictlyPositiveException1.toString();
    boolean b9 = notStrictlyPositiveException1.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math3.exception.NotStrictlyPositiveException: 10 is smaller than, or equal to, the minimum (0)"+ "'", str8.equals("org.apache.commons.math3.exception.NotStrictlyPositiveException: 10 is smaller than, or equal to, the minimum (0)"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test163"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(1.1392481181501105E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.98836306588688E-7d);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test164"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
    boolean b4 = fDistribution3.isSupportUpperBoundInclusive();
    double d6 = fDistribution3.inverseCumulativeProbability(4.5904492149668E-10d);
    double d7 = fDistribution3.getNumericalMean();
    fDistribution3.reseedRandomGenerator((-101L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test165"); }


    org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution2 = new org.apache.commons.math3.distribution.BinomialDistribution(900977195, 0.0d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test166"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.5707963267948966d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test167"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.4999998f, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test168() {}
// Defects4J: flaky method
//   @Test
//   public void test168() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test168"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     randomDataImpl1.reSeed();
//     double d13 = randomDataImpl1.nextGamma(198.78205585770795d, 1.0E-14d);
//     double d16 = randomDataImpl1.nextBeta(0.11204159474835763d, 1.1933075953974313d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d19 = randomDataImpl1.nextUniform(6.224495113689437E-9d, 1.0E-9d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.007149481346125514d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.15992815560484094d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.8083748396571603E-12d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 0.10175467616243238d);
// 
//   }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test169"); }


    int i1 = org.apache.commons.math3.util.FastMath.round(2.68435456E9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 2147483647);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test170"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver3 = new org.apache.commons.math3.analysis.solvers.BrentSolver((-3.0819956143591725d), 0.8623188722876839d, 9.332621544395286E157d);
    double d4 = brentSolver3.getStartValue();
    int i5 = brentSolver3.getMaxEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test171"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(11002.29728659726d, 0.9722507078096732d, 53.5140380476494d, 29791);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test172"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.68435482E9f, 1.0000001f, 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test173"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(0.47615231458439955d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test174"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(Float.NaN, 0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test175"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-1L), (-164916224L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test176"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaP(34.641243485328204d, 0.037461323467598485d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2955972450426547E-89d);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test177"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(1.0238439825804853d, 198.78205585770795d, (-5110244.22909115d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test178() {}
// Defects4J: flaky method
//   @Test
//   public void test178() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test178"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     java.lang.String str11 = randomDataImpl1.nextHexString(243);
//     long long14 = randomDataImpl1.nextSecureLong((-101L), (-19L));
//     // The following exception was thrown during execution in test generation
//     try {
//       int i17 = randomDataImpl1.nextPascal((-10), 1.2955972450426547E-89d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.00210164453229485d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.6024909345938647d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "a39cbbfcc5499c3fd2de8a598993fb7ef9cf87e205d0000676789f0938567f394a2bb3e9f12ef161b0185e5ec2487f5a600840137dcd0eedc9969680435f3e00047d83eda1ac65eb6c769bc302ffb627033972d36e439a6d335c6e2d847421f78acda4fe72d154a2a8857c20410ad73be4682eb9d31e06eb30d"+ "'", str11.equals("a39cbbfcc5499c3fd2de8a598993fb7ef9cf87e205d0000676789f0938567f394a2bb3e9f12ef161b0185e5ec2487f5a600840137dcd0eedc9969680435f3e00047d83eda1ac65eb6c769bc302ffb627033972d36e439a6d335c6e2d847421f78acda4fe72d154a2a8857c20410ad73be4682eb9d31e06eb30d"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long14 == (-90L));
// 
//   }

  @Test
  public void test179() {}
// Defects4J: flaky method
//   @Test
//   public void test179() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test179"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     long long11 = randomDataImpl1.nextPoisson(3.438015292472739E-9d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array14 = randomDataImpl1.nextPermutation(0, (-50));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.8138796352991015E-5d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.13519795355756717d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 0L);
// 
//   }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test180"); }


    double d1 = org.apache.commons.math3.special.Gamma.lanczos(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 13.14778027539684d);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test181"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 50.26567393282979d, 2.0504940334721242d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test182"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double d3 = resizableDoubleArray1.addElementRolling(3.244257077789485d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray1.copy();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = resizableDoubleArray4.substituteMostRecentElement(8.205928454848213E-7d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test183"); }


    double d1 = org.apache.commons.math3.util.FastMath.rint(6.224495113689437E-9d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test184"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(1);
    int i2 = resizableDoubleArray1.start();
    float f3 = resizableDoubleArray1.getContractionCriteria();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 2.5f);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test185"); }


    long long1 = org.apache.commons.math3.util.ArithmeticUtils.factorial(10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 3628800L);

  }

  @Test
  public void test186() {}
// Defects4J: flaky method
//   @Test
//   public void test186() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test186"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     java.lang.String str11 = randomDataImpl1.nextHexString(243);
//     randomDataImpl1.reSeedSecure((-99L));
//     // The following exception was thrown during execution in test generation
//     try {
//       double d16 = randomDataImpl1.nextF(1.9175453794944558E-4d, 0.0d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.14878072108130794d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.026705866657567915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "809c418bac76a0c2560854d77152020f96aea0ecde80ebd4fecfd8430337f525a64dd57d7eb1d126d191238a0cd2a63ccd06315a5a54ee8e2e4d84d6e86f4e58643da0c9c44e46e7f4bc590b316e9f795adff62753b2960a48b74a500a8ec16d22c1f7d94bfce20ae2f3e21212624f21bec9ba687f26029b9d1"+ "'", str11.equals("809c418bac76a0c2560854d77152020f96aea0ecde80ebd4fecfd8430337f525a64dd57d7eb1d126d191238a0cd2a63ccd06315a5a54ee8e2e4d84d6e86f4e58643da0c9c44e46e7f4bc590b316e9f795adff62753b2960a48b74a500a8ec16d22c1f7d94bfce20ae2f3e21212624f21bec9ba687f26029b9d1"));
// 
//   }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test187"); }


    double[] d_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.MathUtils.checkFinite(d_array0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test188"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver2 = new org.apache.commons.math3.analysis.solvers.BrentSolver(12.801827480081469d, 198.78205585770795d);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test189"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma((-1.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test190"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0L, (-115L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 115L);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test191"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(1.1225750622862152d, 19.607668258481365d, 198.1228106693962d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 18.68411523618505d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test192"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
    double d4 = fDistribution3.getNumeratorDegreesOfFreedom();
    double d5 = fDistribution3.getNumeratorDegreesOfFreedom();
    double d6 = fDistribution3.getSupportUpperBound();
    // The following exception was thrown during execution in test generation
    try {
      double d9 = fDistribution3.cumulativeProbability(0.07354933580775115d, (-1.0343201621074911d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 199.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 199.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test193"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(2.68435482E9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 256.0f);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test194"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-115L), 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test195"); }


    org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution2 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
    double d3 = binomialDistribution2.getNumericalMean();
    double d4 = binomialDistribution2.getNumericalMean();
    double d6 = binomialDistribution2.probability(100);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = binomialDistribution2.cumulativeProbability(900977195, (-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 9.498719468266053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 9.498719468266053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test196"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(4.7421875d, 19.607668258481365d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test197"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(0.27374546156124d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-3.852419223774033d));

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test198"); }


    double d1 = org.apache.commons.math3.util.FastMath.ceil(2.211959131415142E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test199() {}
// Defects4J: flaky method
//   @Test
//   public void test199() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test199"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(192.02631293549746d, 4.5904492149668E-10d);
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.String str9 = randomDataImpl1.nextHexString((-3069));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.0129681771939327E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 192.0263129355464d);
// 
//   }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test200"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo((-53L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test201"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(0.0d, (-0.7615941559557649d), 216.5676778417472d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test202"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck(1, (-155));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-155));

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test203"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double[] d_array8 = resizableDoubleArray5.getInternalValues();
    int i9 = resizableDoubleArray5.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray5);
    resizableDoubleArray10.contract();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray10);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray10.discardMostRecentElements((-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test204"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(100.0f, (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test205"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(31);
    // The following exception was thrown during execution in test generation
    try {
      double d3 = resizableDoubleArray1.substituteMostRecentElement(5.266130095142733E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test206"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(10.0d, 0.0d, 0.07051057542830708d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test207"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(0.6170892326094995d, 0.0d, 1.555406893970177d, 0.0d);
    double d5 = noBracketingException4.getFLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.555406893970177d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test208"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(6.167796549920482E-5d, 2.988147399565109E-8d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test209"); }


    double d5 = org.apache.commons.math3.special.Beta.regularizedBeta(7.825618331281534d, 1.5342938391999077E-9d, 2.94000201235261d, 5.270563424683701E-4d, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test210"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1, maxCountExceededCallback1);
    incrementor2.setMaximalCount(100);
    int i5 = incrementor2.getCount();
    incrementor2.incrementCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test211"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double d3 = resizableDoubleArray1.addElementRolling(9.332621544395286E157d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray1.copy();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray4.setExpansionMode((-1014116715));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test212"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-100L), (-2L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-98L));

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test213"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)31, (java.lang.Number)3.4054852753983065E-4d, true);
    boolean b5 = numberIsTooSmallException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test214"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math3.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    double d2 = brentSolver0.getRelativeAccuracy();
    double d3 = brentSolver0.getMin();
    int i4 = brentSolver0.getEvaluations();
    int i5 = brentSolver0.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test215"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math3.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    double d2 = brentSolver0.getRelativeAccuracy();
    double d3 = brentSolver0.getRelativeAccuracy();
    double d4 = brentSolver0.getStartValue();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = brentSolver0.solve(100, univariateFunction6, 39.06122063275668d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test216() {}
// Defects4J: flaky method
//   @Test
//   public void test216() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test216"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(1.0238439825804853d, 1.606031796132914E-5d);
//     double d10 = randomDataImpl1.nextGaussian(198.78205585770795d, 192.02631293549746d);
//     randomDataImpl1.reSeedSecure();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 2.6387088255766983E-4d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 1.023832132612568d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 88.2500437068834d);
// 
//   }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test217"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.8773625085709513d, 0.9784843995724453d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test218"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver1 = new org.apache.commons.math3.analysis.solvers.BrentSolver(0.8623188722876839d);
    double d2 = brentSolver1.getFunctionValueAccuracy();
    int i3 = brentSolver1.getEvaluations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test219"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(192.02631293549743d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.41007456815812987d);

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test220"); }


    java.lang.Throwable throwable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array3 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException4 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable0, localizable1, obj_array3);
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)10.0f);
    mathIllegalStateException4.addSuppressed((java.lang.Throwable)notStrictlyPositiveException6);
    java.lang.Number number8 = notStrictlyPositiveException6.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + 0+ "'", number8.equals(0));

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test221"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(0.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test222"); }


    int i1 = org.apache.commons.math3.util.FastMath.abs(3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 3);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test223"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver3 = new org.apache.commons.math3.analysis.solvers.BrentSolver((-0.7615941559557649d), 0.0d, 1.606031796132914E-5d);
    double d4 = brentSolver3.getRelativeAccuracy();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = brentSolver3.solve(1, univariateFunction6, 0.34305866386150097d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == (-0.7615941559557649d));

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test224"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.5d, 0.06868776395350178d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.5d);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test225"); }


    double d1 = org.apache.commons.math3.util.FastMath.acos(0.22079113208311038d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3481707802994802d);

  }

  @Test
  public void test226() {}
// Defects4J: flaky method
//   @Test
//   public void test226() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test226"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution15 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
//     double d16 = binomialDistribution15.getNumericalMean();
//     double d17 = binomialDistribution15.getNumericalMean();
//     double d18 = binomialDistribution15.getNumericalMean();
//     int i19 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.IntegerDistribution)binomialDistribution15);
//     double d21 = binomialDistribution15.probability(5);
//     double d23 = binomialDistribution15.cumulativeProbability(100);
//     boolean b24 = binomialDistribution15.isSupportConnected();
//     double d25 = binomialDistribution15.getProbabilityOfSuccess();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 4.867205725793862E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-70L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 67.7811716582793d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 6.167796549920482E-5d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d23 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b24 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d25 == 0.9498719468266054d);
// 
//   }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test227"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficient(0, (-15));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test228"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(0, (-72L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test229"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution2 = new org.apache.commons.math3.distribution.BinomialDistribution((-10), 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test230"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(0L, (-18L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test231"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(8.205928454848213E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1218631.72359031d));

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test232"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo((-70L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test233"); }


    double d1 = org.apache.commons.math3.util.FastMath.log1p(2.8773625085709513d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.3551551566574038d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test234"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(14.12539961964415d, 1.0343201621074911d, 11002.29728659726d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test235"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double[] d_array8 = resizableDoubleArray5.getInternalValues();
    int i9 = resizableDoubleArray5.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray5);
    float f11 = resizableDoubleArray10.getContractionCriteria();
    double[] d_array12 = resizableDoubleArray10.getInternalValues();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f11 == 2.5f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test236"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(10.0f, (-1.0f));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test237"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray1.copy();
    int i3 = resizableDoubleArray1.getNumElements();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test238() {}
// Defects4J: flaky method
//   @Test
//   public void test238() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test238"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution15 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
//     double d16 = binomialDistribution15.getNumericalMean();
//     double d17 = binomialDistribution15.getNumericalMean();
//     double d18 = binomialDistribution15.getNumericalMean();
//     int i19 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.IntegerDistribution)binomialDistribution15);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i21 = binomialDistribution15.inverseCumulativeProbability(76.1790936173567d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.002378563226583209d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-107L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 120.47448750463552d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 9);
// 
//   }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test239"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 0.07267582725796101d, 1.810791614144296E-12d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test240"); }


    org.apache.commons.math3.exception.TooManyEvaluationsException tooManyEvaluationsException1 = new org.apache.commons.math3.exception.TooManyEvaluationsException((java.lang.Number)0.11204159474835763d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test241"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(5.2896916013356625d);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test242"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)(short)1, (java.lang.Number)(short)10, (java.lang.Number)(short)(-1));
    java.lang.Number number4 = outOfRangeException3.getHi();
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException6 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)10.0f);
    outOfRangeException3.addSuppressed((java.lang.Throwable)notStrictlyPositiveException6);
    java.lang.Number number8 = outOfRangeException3.getHi();
    java.lang.Number number9 = outOfRangeException3.getHi();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number4 + "' != '" + (short)(-1)+ "'", number4.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number8 + "' != '" + (short)(-1)+ "'", number8.equals((short)(-1)));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number9 + "' != '" + (short)(-1)+ "'", number9.equals((short)(-1)));

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test243"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double[] d_array8 = resizableDoubleArray5.getInternalValues();
    int i9 = resizableDoubleArray5.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray5);
    resizableDoubleArray10.contract();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray10);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = resizableDoubleArray12.substituteMostRecentElement((-0.7615941559557649d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test244"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.41007456815812987d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test245"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(1.555406893970177d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 64.97452279504952d);

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test246"); }


    double d4 = org.apache.commons.math3.special.Beta.logBeta(2.981519150087413E-6d, 3.951973273548802d, 34.641243485328204d, 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 12.723072180239736d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test247"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(243, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test248"); }


    double d1 = org.apache.commons.math3.util.FastMath.sinh(1.956853856925163E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.9568538569251756E-7d);

  }

  @Test
  public void test249() {}
// Defects4J: flaky method
//   @Test
//   public void test249() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test249"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution15 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
//     double d16 = binomialDistribution15.getNumericalMean();
//     double d17 = binomialDistribution15.getNumericalMean();
//     double d18 = binomialDistribution15.getNumericalMean();
//     int i19 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.IntegerDistribution)binomialDistribution15);
//     int i20 = binomialDistribution15.getSupportLowerBound();
//     int[] i_array22 = binomialDistribution15.sample(28);
//     int i23 = binomialDistribution15.getNumberOfTrials();
//     double d24 = binomialDistribution15.getProbabilityOfSuccess();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.031083900828012566d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-9L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 32.97778991866356d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(i_array22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 0.9498719468266054d);
// 
//   }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test250"); }


    double d5 = org.apache.commons.math3.special.Beta.regularizedBeta(76.1790936173567d, 1.0E-6d, 0.0d, 1.7993007196541928d, 297910);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test251() {}
// Defects4J: flaky method
//   @Test
//   public void test251() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test251"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(192.02631293549746d, 4.5904492149668E-10d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d11 = randomDataImpl1.nextUniform(14.12539961964415d, 0.3236565656747888d, false);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.1918458434788806d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 192.02631293500275d);
// 
//   }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test252"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(1.7226174774785996d, 0.0d, 7679.552638785351d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test253"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.0E-6d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.999999999998333E-7d);

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test254"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(1.7993007196541928d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.9467335485451012d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test255"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(2.988147399565109E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6.6174449004242214E-24d);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test256"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(0L, 100L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 100L);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test257"); }


    long long1 = org.apache.commons.math3.util.FastMath.round(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 1L);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test258"); }


    double d5 = org.apache.commons.math3.special.Beta.regularizedBeta(3.016235220681104E-4d, 0.07051057542830708d, 0.0d, 6.167796549920482E-5d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test259"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver1 = new org.apache.commons.math3.analysis.solvers.BrentSolver(0.34305866386150097d);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test260"); }


    int i1 = org.apache.commons.math3.util.MathUtils.hash(8.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1075838976);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test261"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(4.307257343196207E-4d, 1.606031796132914E-5d, 0.007968481907933533d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test262"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(10.0d, 1.0238439825804853d, (-1.1481328362074392E-8d));
    double d4 = fDistribution3.getSupportUpperBound();
    boolean b5 = fDistribution3.isSupportConnected();
    boolean b6 = fDistribution3.isSupportUpperBoundInclusive();
    double d7 = fDistribution3.getSupportLowerBound();
    double d8 = fDistribution3.getDenominatorDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b6 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 1.0238439825804853d);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test263"); }


    float f2 = org.apache.commons.math3.util.FastMath.max((-1.0f), 1.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0f);

  }

  @Test
  public void test264() {}
// Defects4J: flaky method
//   @Test
//   public void test264() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test264"); }
// 
// 
//     org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
//     double d4 = fDistribution3.getNumericalVariance();
//     boolean b5 = fDistribution3.isSupportLowerBoundInclusive();
//     double d7 = fDistribution3.density(3.244257077789485d);
//     double d8 = fDistribution3.sample();
//     double d9 = fDistribution3.getSupportLowerBound();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b5 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 0.06224579680853361d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d8 == 0.5d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.0d);
// 
//   }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test265"); }


    short s2 = org.apache.commons.math3.util.MathUtils.copySign((short)0, (short)10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(s2 == (short)0);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test266"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.004112291338278484d, 1.5707963267948966d, 0.7031352434630824d, (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test267"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(1.0000002f, 1.0f, 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test268"); }


    org.apache.commons.math3.random.RandomDataImpl randomDataImpl0 = new org.apache.commons.math3.random.RandomDataImpl();

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test269"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(1.023848088569287d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.589392545122679d);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test270"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 2.718281828459045d, 17.482450025501496d, 1.0238491939683065d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test271"); }


    double d2 = org.apache.commons.math3.util.Precision.representableDelta(0.0d, 0.45858723372996735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.45858723372996735d);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test272"); }


    // The following exception was thrown during execution in test generation
    try {
      long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow((-164916325L), (-9L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test273"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.054455771614529525d, 1.48873150718999d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == (-1));

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test274"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.9722507078096732d, 2.988147399565109E-8d, 32.97778991866356d, 29791);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9999999511132764d);

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test275"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.45858723372996735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.008003857136200727d);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test276"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb((-0.7615941559557649d), 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-389.9362078493516d));

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test277"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test278"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(1.0E-9d, 88.2500437068834d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 88.2500437068834d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test279"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(3.953619188397156E-195d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test280() {}
// Defects4J: flaky method
//   @Test
//   public void test280() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test280"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextF(2.0504940334721242d, 5.751230264531281d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i10 = randomDataImpl1.nextInt(36, 36);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.0025276351902402757d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 2.6314740907704355d);
// 
//   }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test281"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign((-70L), (-100L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-70L));

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test282"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.4060664006874021d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 7.0840414920876125d);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test283"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
    double d4 = fDistribution3.getNumericalVariance();
    double d5 = fDistribution3.getNumericalMean();
    fDistribution3.reseedRandomGenerator((-2L));
    boolean b8 = fDistribution3.isSupportConnected();
    boolean b9 = fDistribution3.isSupportLowerBoundInclusive();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test284"); }


    int i2 = org.apache.commons.math3.util.MathUtils.copySign(31, 28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 31);

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test285"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution((-24.40870211195974d), 9.498719468266053d, (-26.811722974824676d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
    } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test286() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test286"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    int i2 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array0);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray3.discardFrontElements((-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test287"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.9467335485451012d, 1.606031796132914E-5d, 0.45858723372996735d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test288"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    int i2 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array0);
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray3.setExpansionFactor(10.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test289"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver1 = new org.apache.commons.math3.analysis.solvers.BrentSolver(2.8156156450887897E-7d);
    double d2 = brentSolver1.getMin();
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction4 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = brentSolver1.solve((-50), univariateFunction4, 2.2250738585072014E-308d, 0.06262523019707218d, 0.1599133980007798d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test290"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(0.031083900828012566d, 198.78205585770795d, 0.046903079195173045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test291"); }


    double[] d_array0 = null;
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test292"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign((-99L), (-8015656266124754944L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-99L));

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test293"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.22079113208311038d, 382.33395694851436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 382.33395694851436d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test294"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(9.498719468266053d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 6671.315149578239d);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test295"); }


    double d1 = org.apache.commons.math3.util.FastMath.expm1(0.3236565656747888d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.38217254010486496d);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test296"); }


    double d2 = org.apache.commons.math3.util.FastMath.scalb(0.0d, 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test297"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(28, maxCountExceededCallback1);
    boolean b3 = incrementor2.canIncrement();
    boolean b4 = incrementor2.canIncrement();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test298() {}
// Defects4J: flaky method
//   @Test
//   public void test298() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test298"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution15 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
//     double d16 = binomialDistribution15.getNumericalMean();
//     double d17 = binomialDistribution15.getNumericalMean();
//     double d18 = binomialDistribution15.getNumericalMean();
//     int i19 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.IntegerDistribution)binomialDistribution15);
//     int i20 = binomialDistribution15.getSupportLowerBound();
//     double d22 = binomialDistribution15.probability(0);
//     double d23 = binomialDistribution15.getNumericalVariance();
//     double d24 = binomialDistribution15.getNumericalVariance();
//     int i25 = binomialDistribution15.getSupportUpperBound();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-55L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 137.62678296230843d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d22 == 1.0018631021397204E-13d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d23 == 0.47615231458439955d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 0.47615231458439955d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i25 == 10);
// 
//   }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test299"); }


    double d5 = org.apache.commons.math3.special.Beta.regularizedBeta(5.266130095142733E-4d, (-5110244.22909115d), (-2.2190474391203585d), (-1.0343201621074911d), 1075838976);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test300"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math3.exception.MathInternalError mathInternalError8 = new org.apache.commons.math3.exception.MathInternalError(localizable5, obj_array7);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)'#', localizable4, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)192.02631293549743d, obj_array7);
    org.apache.commons.math3.exception.ConvergenceException convergenceException12 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, obj_array7);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext13 = convergenceException12.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext13);

  }

  @Test
  public void test301() {}
// Defects4J: flaky method
//   @Test
//   public void test301() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test301"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     randomDataImpl1.reSeed();
//     double d13 = randomDataImpl1.nextGamma(198.78205585770795d, 1.0E-14d);
//     int i16 = randomDataImpl1.nextSecureInt((-27), (-1));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.004455984609518037d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.4764911313757236d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 2.0307583364610664E-12d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == (-22));
// 
//   }

  @Test
  public void test302() {}
// Defects4J: flaky method
//   @Test
//   public void test302() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test302"); }
// 
// 
//     org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
//     boolean b4 = fDistribution3.isSupportUpperBoundInclusive();
//     double d6 = fDistribution3.inverseCumulativeProbability(4.5904492149668E-10d);
//     double d7 = fDistribution3.getNumericalMean();
//     double d9 = fDistribution3.cumulativeProbability(0.0d);
//     double[] d_array11 = fDistribution3.sample(1);
//     int i12 = org.apache.commons.math3.util.MathUtils.hash(d_array11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b4 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i12 == 31);
// 
//   }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test303"); }


    double d4 = org.apache.commons.math3.special.Beta.regularizedBeta((-1.0d), (-0.8390715290764524d), 5.6843418860808015E-14d, 2.2119591259435033E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test304"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double[] d_array8 = resizableDoubleArray5.getInternalValues();
    int i9 = resizableDoubleArray5.getNumElements();
    resizableDoubleArray5.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test305"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double d3 = resizableDoubleArray1.addElementRolling(3.244257077789485d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray1.copy();
    double[] d_array5 = resizableDoubleArray4.getInternalValues();
    double[] d_array6 = resizableDoubleArray4.getElements();
    int i7 = org.apache.commons.math3.util.MathUtils.hash(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i7 == 1);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test306"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(0.27374546156124d, 0.0823244146487169d, (-1.2180772303154873E7d), 10);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test307"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.1920929E-7f);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test308"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.8623188722876838d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 49.40723197656492d);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test309"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.verifySequence(0.06224579680853361d, 8.205928454848213E-7d, 3.244257077789485d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test310"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray1.copy();
    resizableDoubleArray2.clear();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.discardFrontElements((-127));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test311"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(3.4054852753983065E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.4054853412225373E-4d);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test312"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.5214827505061294d);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test313"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
    double d4 = fDistribution3.getNumericalVariance();
    double d5 = fDistribution3.getNumericalMean();
    double d6 = fDistribution3.getDenominatorDegreesOfFreedom();
    boolean b7 = fDistribution3.isSupportConnected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.1933075953974313d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b7 == true);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test314"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(10.0d, 1.5136583677089197d, 4.867205725793862E-6d, (-10));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test315() {}
// Defects4J: flaky method
//   @Test
//   public void test315() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test315"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     randomDataImpl1.reSeed();
//     double d13 = randomDataImpl1.nextGamma(198.78205585770795d, 1.0E-14d);
//     double d16 = randomDataImpl1.nextBeta(0.11204159474835763d, 1.1933075953974313d);
//     randomDataImpl1.reSeed((-44L));
//     java.util.Collection collection19 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array21 = randomDataImpl1.nextSample(collection19, (-1014116715));
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.1967687091270451d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.29063005931156566d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 1.911479803602936E-12d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 5.384365146198382E-8d);
// 
//   }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test316"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.000001f, (-15));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.051758E-4f);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test317"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double[] d_array5 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.bracket(univariateFunction0, 7.0d, 0.5197812909311935d, Double.NaN, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test318"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
    double d4 = fDistribution3.getNumericalVariance();
    double d5 = fDistribution3.getNumericalMean();
    double d6 = fDistribution3.getDenominatorDegreesOfFreedom();
    double d7 = fDistribution3.getSupportUpperBound();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.1933075953974313d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test319"); }


    int i1 = org.apache.commons.math3.util.FastMath.getExponent(1.0000002f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test320"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(1.6060317962019556E-5d, 2.300531789203629E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.2526628965270348E-4d);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test321"); }


    double[] d_array0 = null;
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array0);
    resizableDoubleArray1.setElement(9, 0.3417734283972852d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test322"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(0.0d, 0.8498626442053336d, 5.270563424683701E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.8493355878628652d);

  }

  @Test
  public void test323() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test323"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver3 = new org.apache.commons.math3.analysis.solvers.BrentSolver(0.8623188722876839d, 5.2896916013356625d, 2.0d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = brentSolver3.solve(297910, univariateFunction5, (-26.811722974824676d));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test324"); }


    float f1 = org.apache.commons.math3.util.FastMath.signum(2.68435482E9f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0f);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test325"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-28), 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == (-128));

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test326"); }


    long long2 = org.apache.commons.math3.util.MathUtils.copySign(0L, (-164916325L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test327() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test327"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)(-1));

  }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test328"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(15, (-128));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test329"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(0.0018395067118196723d, 0.06224579680853361d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0018395067118196723d);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test330"); }


    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math3.util.Precision.round(0.8623188722876839d, 2147483647, 243);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test331"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)1.1656014854408117d, (java.lang.Number)1.2955972450426547E-89d, true);

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test332"); }


    double d2 = org.apache.commons.math3.util.FastMath.copySign(0.8623188722876838d, 0.032298606889778626d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.8623188722876838d);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test333"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array0);
    float f3 = resizableDoubleArray2.getExpansionFactor();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 2.0f);

  }

  @Test
  public void test334() {}
// Defects4J: flaky method
//   @Test
//   public void test334() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test334"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i6 = randomDataImpl1.nextInt((-10), (-1014116715));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 3.362330689870117E-5d);
// 
//   }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test335"); }


    float f2 = org.apache.commons.math3.util.FastMath.max(2.5f, 10.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test336"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.07354933580775115d, 2.6474498667549213E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 10.2143596723548d);

  }

  @Test
  public void test337() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test337"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(2.988147399565109E-8d, 0.0d, 3.206934458236196d, (-10));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test338"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.4E-45f, 28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test339"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(22.67162375679187d, 0.23314241246528525d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test340() {}
// Defects4J: flaky method
//   @Test
//   public void test340() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test340"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     long long11 = randomDataImpl1.nextPoisson(3.438015292472739E-9d);
//     randomDataImpl1.reSeed((-100L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 2.4824198673316328E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.3691979472148574d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long11 == 0L);
// 
//   }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test341"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.834032445247956d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test342"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.6474498667549213E-12d, 382.33395694851436d, 0.694709692693975d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test343"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math3.exception.ConvergenceException convergenceException2 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, obj_array1);
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext3 = convergenceException2.getContext();
    org.apache.commons.math3.exception.util.ExceptionContext exceptionContext4 = convergenceException2.getContext();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(exceptionContext4);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test344"); }


    org.apache.commons.math3.exception.NoBracketingException noBracketingException4 = new org.apache.commons.math3.exception.NoBracketingException(3066.128524832818d, 53.5140380476494d, 0.07051057542830708d, 0.0d);
    org.apache.commons.math3.exception.MathInternalError mathInternalError5 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException4);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test345"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-15), (-1023));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 15345);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test346"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(1.0943915720132216d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.38274932467294664d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test347"); }


    float f1 = org.apache.commons.math3.util.FastMath.abs(1.0000001f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.0000001f);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test348"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math3.exception.ConvergenceException convergenceException11 = new org.apache.commons.math3.exception.ConvergenceException(localizable5, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 199.0d, 1.9175453794944558E-4d, 2.0235024661379818E-12d, 6.283185307179586d, obj_array9);
    double d13 = noBracketingException12.getFLo();
    double d14 = noBracketingException12.getLo();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 2.0235024661379818E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 199.0d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test349"); }


    double d2 = org.apache.commons.math3.util.FastMath.pow(0.8498626442053336d, 1.751083890395506d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7521140767836771d);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test350"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-27), 5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 135);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test351"); }


    double d2 = org.apache.commons.math3.special.Beta.logBeta(192.02631293549743d, 0.22079113208311038d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2590358784647151d);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test352"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(4.7421875d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.7972566643325765d);

  }

  @Test
  public void test353() {}
// Defects4J: flaky method
//   @Test
//   public void test353() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test353"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     randomDataImpl1.reSeed();
//     long long13 = randomDataImpl1.nextLong((-33L), (-1L));
//     randomDataImpl1.reSeed();
//     java.lang.String str16 = randomDataImpl1.nextHexString(9);
//     java.lang.String str18 = randomDataImpl1.nextHexString(50);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i21 = randomDataImpl1.nextZipf(297910, 99.99992546912904d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathInternalError");
//     } catch (org.apache.commons.math3.exception.MathInternalError e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathInternalError")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathInternalError, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.4318955399750917d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.3696460385071507d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long13 == (-5L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str16 + "' != '" + "06524c199"+ "'", str16.equals("06524c199"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str18 + "' != '" + "e4edaaf92274ad1152a35d23ed4c298b1e546f6e02ef2d1703"+ "'", str18.equals("e4edaaf92274ad1152a35d23ed4c298b1e546f6e02ef2d1703"));
// 
//   }

  @Test
  public void test354() {}
// Defects4J: flaky method
//   @Test
//   public void test354() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test354"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution15 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
//     double d16 = binomialDistribution15.getNumericalMean();
//     double d17 = binomialDistribution15.getNumericalMean();
//     double d18 = binomialDistribution15.getNumericalMean();
//     int i19 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.IntegerDistribution)binomialDistribution15);
//     double d21 = binomialDistribution15.probability(5);
//     boolean b22 = binomialDistribution15.isSupportConnected();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 7.215264083978101E-6d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-86L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 12.01144962987557d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 6.167796549920482E-5d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == true);
// 
//   }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test355"); }


    double d2 = org.apache.commons.math3.util.FastMath.atan2(2.988147399565109E-8d, 2.6387088255766983E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.1324278593485117E-4d);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test356"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray1.copy();
    resizableDoubleArray1.setElement(10, 50.30552495651658d);
    float f6 = resizableDoubleArray1.getExpansionFactor();
    resizableDoubleArray1.addElement(0.6026060867947363d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 2.0f);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test357"); }


    double d2 = org.apache.commons.math3.util.FastMath.max(0.0d, 192.02631293549746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 192.02631293549746d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test358"); }


    org.apache.commons.math3.exception.NotPositiveException notPositiveException1 = new org.apache.commons.math3.exception.NotPositiveException((java.lang.Number)0.5434503198926596d);
    java.lang.Number number2 = notPositiveException1.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number2 + "' != '" + 0+ "'", number2.equals(0));

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test359"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-29L), 180L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5220L);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test360"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double[] d_array8 = resizableDoubleArray5.getInternalValues();
    int i9 = resizableDoubleArray5.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray5);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = resizableDoubleArray5.substituteMostRecentElement(12.723072180239736d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException");
    } catch (org.apache.commons.math3.exception.MathIllegalStateException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalStateException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalStateException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test361"); }


    float f2 = org.apache.commons.math3.util.FastMath.min(1.0000002f, 100.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 1.0000002f);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test362"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(2.1973323999786748E-4d, (-2.497087560994402d), 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test363"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.0f, 3.051758E-4f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test364"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)2.94000201235261d, (java.lang.Number)5.270563424683701E-4d, (java.lang.Number)36);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test365"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.gcd((-1014116715), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 1014116715);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test366"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)382.33395694851436d, (java.lang.Number)2.2250738585072014E-308d, true);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test367"); }


    org.apache.commons.math3.util.MathUtils.checkFinite(0.0d);

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test368"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.gcd(100L, 115L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5L);

  }

  @Test
  public void test369() {}
// Defects4J: flaky method
//   @Test
//   public void test369() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test369"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     // The following exception was thrown during execution in test generation
//     try {
//       long long6 = randomDataImpl1.nextSecureLong((-19L), (-99L));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.8145102402851869d);
// 
//   }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test370"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm((-10), 31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 310);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test371"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isBracketing(univariateFunction0, 1.1032176880028242E-4d, 2.300531789203629E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test372() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test372"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver2 = new org.apache.commons.math3.analysis.solvers.BrentSolver(12.801827480081469d, 1.8304690930729235d);
    double d3 = brentSolver2.getMax();
    double d4 = brentSolver2.getRelativeAccuracy();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 12.801827480081469d);

  }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test373"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.9999999511132764d, 1.3551551566574038d, 1.023809230545849d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test374"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(2.211959131415178E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-15.324217043321001d));

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test375"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray1.copy();
    int i3 = resizableDoubleArray2.getExpansionMode();
    resizableDoubleArray2.setNumElements(10);
    float f6 = resizableDoubleArray2.getContractionCriteria();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f6 == 2.5f);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test376"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(3.051758E-4f, 0.2551037536579766d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 3.0517584E-4f);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test377"); }


    double d3 = org.apache.commons.math3.special.Beta.regularizedBeta(1.5174271293851465d, 1.5174271293851465d, 49.40723197656492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test378"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.0f, 1.1920929E-7f, 2.0f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test379"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(38.21887257561182d, 2.072756563933402d, 3.4054853412225373E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test380"); }


    double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientDouble(4, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 4.0d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test381"); }


    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (-0.8390715290764524d) };
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)Double.NaN, localizable7, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.9498719468266054d, obj_array9);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException12 = new org.apache.commons.math3.exception.MathArithmeticException(localizable4, obj_array9);
    org.apache.commons.math3.exception.MathInternalError mathInternalError13 = new org.apache.commons.math3.exception.MathInternalError(localizable3, obj_array9);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException14 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array9);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)13.14778027539684d, localizable1, obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test382"); }


    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException3 = new org.apache.commons.math3.exception.NumberIsTooLargeException((java.lang.Number)3.207695706666687E-4d, (java.lang.Number)198.78205585770795d, false);
    boolean b4 = numberIsTooLargeException3.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == false);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test383"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(1.409265558877783d, 67.7811716582793d, 0.9467335485451012d);
    double d5 = fDistribution3.density(0.009206835873019724d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 2.394122864674922d);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test384"); }


    double d2 = org.apache.commons.math3.util.FastMath.log(0.052323075673328855d, 2.302585092994046d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-0.28269240985133853d));

  }

  @Test
  public void test385() {}
// Defects4J: flaky method
//   @Test
//   public void test385() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test385"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     java.lang.String str11 = randomDataImpl1.nextHexString(243);
//     randomDataImpl1.reSeedSecure((-99L));
//     int i16 = randomDataImpl1.nextZipf(10, 5.266130095142733E-4d);
//     double d18 = randomDataImpl1.nextChiSquare(0.06224579680853361d);
//     double d21 = randomDataImpl1.nextF(1.0000000023812177d, 1.0239145958798082d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 3.44268186090016E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 1.0580667058571067d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue("'" + str11 + "' != '" + "101a89e5cbe5d5d3f954961661be8ddf5a88befbf67ca861968c46475573e4474572dd0c836e5f05836adc2c667ded7379c48f8bb6505c9ec2800b74c1ca515ac5fac814c0f12925ff33a3c417e2553c9690ca758a5cc7b9a0161131502d42eac661717d583cb716cec2e42dafcf2d7c92a7074369df8e01eb2"+ "'", str11.equals("101a89e5cbe5d5d3f954961661be8ddf5a88befbf67ca861968c46475573e4474572dd0c836e5f05836adc2c667ded7379c48f8bb6505c9ec2800b74c1ca515ac5fac814c0f12925ff33a3c417e2553c9690ca758a5cc7b9a0161131502d42eac661717d583cb716cec2e42dafcf2d7c92a7074369df8e01eb2"));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i16 == 3);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 1.3967320164602273E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 0.694398322998325d);
// 
//   }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test386"); }


    double d3 = org.apache.commons.math3.util.MathUtils.reduce(64.97452279504952d, 0.037461323467598485d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.01658790223375206d);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test387"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double d9 = resizableDoubleArray5.addElementRolling(38.21887257561182d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.0d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test388"); }


    double d2 = org.apache.commons.math3.util.FastMath.min(1.2661537782923629E13d, 5.366294634319784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.366294634319784d);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test389"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.05532054549047666d, 0.007968313256913299d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.05589147313789643d);

  }

  @Test
  public void test390() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test390"); }


    double d1 = org.apache.commons.math3.util.FastMath.atan((-2.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-1.1071487177940904d));

  }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test391"); }


    float f1 = org.apache.commons.math3.util.FastMath.nextUp(Float.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f1, Float.NaN, 0);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test392"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math3.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    double d2 = brentSolver0.getRelativeAccuracy();
    double d3 = brentSolver0.getRelativeAccuracy();
    int i4 = brentSolver0.getEvaluations();
    double d5 = brentSolver0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.0d);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test393"); }


    double d1 = org.apache.commons.math3.util.FastMath.signum(2.0504940334721242d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test394"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, number1, (java.lang.Number)2.718281828459045d, false);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test395"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(0.026604230102148366d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 3.6119033888554557d);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test396"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(3.0517584E-4f, 1.0f, (-22));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test397"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)28);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test398"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray0 = null;
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray3 = resizableDoubleArray2.copy();
    double[] d_array4 = resizableDoubleArray2.getInternalValues();
    int i5 = resizableDoubleArray2.start();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray0, resizableDoubleArray2);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 0);

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test399"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin((-1.1536053833032613d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.9142307584624106d));

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test400"); }


    float f3 = org.apache.commons.math3.util.Precision.round(2.68435456E9f, 297910, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f3, Float.NaN, 0);

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test401"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooSmallException numberIsTooSmallException4 = new org.apache.commons.math3.exception.NumberIsTooSmallException(localizable0, (java.lang.Number)(-26.811722974824676d), (java.lang.Number)1.1920929E-7f, true);
    java.lang.Number number5 = numberIsTooSmallException4.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + number5 + "' != '" + 1.1920929E-7f+ "'", number5.equals(1.1920929E-7f));

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test402"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.1920929E-7f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0f);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test403"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double[] d_array2 = resizableDoubleArray1.getInternalValues();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray5 = resizableDoubleArray4.copy();
    resizableDoubleArray5.clear();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray5);
    double[] d_array8 = resizableDoubleArray5.getInternalValues();
    int i9 = resizableDoubleArray5.getNumElements();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray10 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray5);
    resizableDoubleArray10.contract();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray12 = new org.apache.commons.math3.util.ResizableDoubleArray(resizableDoubleArray10);
    org.apache.commons.math3.exception.util.Localizable localizable13 = null;
    java.lang.Throwable throwable14 = null;
    org.apache.commons.math3.exception.util.Localizable localizable15 = null;
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException18 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable14, localizable15, obj_array17);
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException19 = new org.apache.commons.math3.exception.MathIllegalStateException(localizable13, obj_array17);
    boolean b20 = resizableDoubleArray10.equals((java.lang.Object)mathIllegalStateException19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i9 == 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test404"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(3, (-155));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 158);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test405"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray1.copy();
    resizableDoubleArray2.clear();
    resizableDoubleArray2.clear();
    // The following exception was thrown during execution in test generation
    try {
      resizableDoubleArray2.setContractionCriteria(0.0f);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test406"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(3.0517584E-4f, 4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 0.0048828134f);

  }

  @Test
  public void test407() {}
// Defects4J: flaky method
//   @Test
//   public void test407() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test407"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     org.apache.commons.math3.distribution.FDistribution fDistribution11 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
//     double d12 = fDistribution11.getNumericalVariance();
//     boolean b13 = fDistribution11.isSupportLowerBoundInclusive();
//     double d14 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)fDistribution11);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i18 = randomDataImpl1.nextHypergeometric(7, (-3069), 297910);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
//     } catch (org.apache.commons.math3.exception.NotPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.006209410092740022d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 0.5d);
// 
//   }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test408"); }


    double d2 = org.apache.commons.math3.special.Beta.logBeta(0.0d, 2.718281828459045d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test409"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(5220L, (-72L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 5148L);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test410"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-27));
    incrementor1.setMaximalCount(243);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test411"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException2 = new org.apache.commons.math3.exception.NotStrictlyPositiveException(localizable0, (java.lang.Number)3.244257077789485d);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test412"); }


    float f1 = org.apache.commons.math3.util.FastMath.ulp(1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f1 == 1.4E-45f);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test413"); }


    double d1 = org.apache.commons.math3.util.FastMath.log(0.802724274463895d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == (-0.21974399328541788d));

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test414"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck((-67L), 115L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == (-182L));

  }

  @Test
  public void test415() {}
// Defects4J: flaky method
//   @Test
//   public void test415() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test415"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     double d6 = randomDataImpl1.nextF(1.409265558877783d, 0.8623188722876839d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.1524119557805514d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d6 == 0.0793210399778983d);
// 
//   }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test416"); }


    double d1 = org.apache.commons.math3.util.FastMath.cbrt(2.2250738585072014E-308d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.812644285236262E-103d);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test417"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(10.000001f, 3.051758E-4f, 158);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test418"); }


    double d1 = org.apache.commons.math3.util.FastMath.tan(2.8156156450887897E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 2.8156156450888643E-7d);

  }

  @Test
  public void test419() {}
// Defects4J: flaky method
//   @Test
//   public void test419() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test419"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     // The following exception was thrown during execution in test generation
//     try {
//       randomDataImpl1.setSecureAlgorithm("c255ac423", "e810f77b89082be087c3085537f5608bf034aef0001f90cb8de4658ef64ab9b3d8b2c8b13f1d47698317594954d07b14ffa4f583798f9d7c5a19f043b165d3aa0e9bf0543ee8e5575a5b90200b9896bdacbdfa7b8c71802558086dab4c839a024fdda9bbedb3bbc8393c7b22d64bfb483242cd6ea84d995611b");
//       org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException");
//     } catch (java.security.NoSuchProviderException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.security.NoSuchProviderException")) {
//         org.junit.Assert.fail("Expected exception of type java.security.NoSuchProviderException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.2122753295102027d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-27L));
// 
//   }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test420"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Throwable throwable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException10 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable6, localizable7, obj_array9);
    org.apache.commons.math3.exception.ConvergenceException convergenceException11 = new org.apache.commons.math3.exception.ConvergenceException(localizable5, obj_array9);
    org.apache.commons.math3.exception.NoBracketingException noBracketingException12 = new org.apache.commons.math3.exception.NoBracketingException(localizable0, 199.0d, 1.9175453794944558E-4d, 2.0235024661379818E-12d, 6.283185307179586d, obj_array9);
    double d13 = noBracketingException12.getLo();
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathInternalError mathInternalError14 = new org.apache.commons.math3.exception.MathInternalError((java.lang.Throwable)noBracketingException12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 199.0d);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test421"); }


    double d1 = org.apache.commons.math3.util.FastMath.asinh(49.40723197656492d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 4.593346388509827d);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test422"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(0.21675950173715974d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 22.526586455631122d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test423"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction1 = null;
    org.apache.commons.math3.analysis.solvers.BracketedUnivariateSolver bracketedUnivariateSolver2 = null;
    org.apache.commons.math3.analysis.solvers.AllowedSolution allowedSolution6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.forceSide((-22), univariateFunction1, bracketedUnivariateSolver2, 0.27374546156124d, (-15.324217043321001d), 0.0d, allowedSolution6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test424"); }


    java.math.BigInteger bigInteger0 = null;
    // The following exception was thrown during execution in test generation
    try {
      java.math.BigInteger bigInteger2 = org.apache.commons.math3.util.ArithmeticUtils.pow(bigInteger0, (-36L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test425"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(2.68435456E9f, 0.0f, 2.4999998f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test426"); }


    boolean b1 = org.apache.commons.math3.util.ArithmeticUtils.isPowerOfTwo(180L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b1 == false);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test427"); }


    org.apache.commons.math3.util.Incrementor incrementor1 = new org.apache.commons.math3.util.Incrementor((-15));

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test428"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = resizableDoubleArray1.copy();
    double[] d_array3 = resizableDoubleArray1.getInternalValues();
    int i4 = resizableDoubleArray1.start();
    resizableDoubleArray1.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i4 == 0);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test429"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double d3 = resizableDoubleArray1.addElementRolling(3.244257077789485d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray1.copy();
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray6 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double d8 = resizableDoubleArray6.addElementRolling(3.244257077789485d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray9 = resizableDoubleArray6.copy();
    boolean b10 = resizableDoubleArray1.equals((java.lang.Object)resizableDoubleArray9);
    resizableDoubleArray1.setNumElements(0);
    double[] d_array13 = new double[] {  };
    int i14 = org.apache.commons.math3.util.MathUtils.hash(d_array13);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray15 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array13);
    int i16 = resizableDoubleArray15.start();
    org.apache.commons.math3.util.ResizableDoubleArray.copy(resizableDoubleArray1, resizableDoubleArray15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i16 == 0);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test430"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    java.lang.Number number3 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    java.lang.Object[] obj_array6 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math3.exception.MathInternalError mathInternalError7 = new org.apache.commons.math3.exception.MathInternalError(localizable4, obj_array6);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException8 = new org.apache.commons.math3.exception.NotFiniteNumberException(localizable2, number3, obj_array6);
    org.apache.commons.math3.exception.MathInternalError mathInternalError9 = new org.apache.commons.math3.exception.MathInternalError(localizable1, obj_array6);
    org.apache.commons.math3.exception.NullArgumentException nullArgumentException10 = new org.apache.commons.math3.exception.NullArgumentException(localizable0, obj_array6);
    org.apache.commons.math3.exception.util.Localizable localizable11 = null;
    java.lang.Object[] obj_array12 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException13 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)nullArgumentException10, localizable11, obj_array12);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test431"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(1.6543612251060553E-24d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.6543612251060553E-24d);

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test432"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(12.84082500580742d, 0.0014750809271416514d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.2744543914482467d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test433"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(5, 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 20);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test434"); }


    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException3 = new org.apache.commons.math3.exception.OutOfRangeException((java.lang.Number)34.641243485328204d, (java.lang.Number)0.8041703595251243d, (java.lang.Number)0.6026060867947363d);

  }

  @Test
  public void test435() {}
// Defects4J: flaky method
//   @Test
//   public void test435() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test435"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution15 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
//     double d16 = binomialDistribution15.getNumericalMean();
//     double d17 = binomialDistribution15.getNumericalMean();
//     double d18 = binomialDistribution15.getNumericalMean();
//     int i19 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.IntegerDistribution)binomialDistribution15);
//     double d21 = binomialDistribution15.probability(5);
//     // The following exception was thrown during execution in test generation
//     try {
//       int i23 = binomialDistribution15.inverseCumulativeProbability(1.3551551566574038d);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException");
//     } catch (org.apache.commons.math3.exception.OutOfRangeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.OutOfRangeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.OutOfRangeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.5190071881679084E-7d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-85L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 159.84725469009393d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d21 == 6.167796549920482E-5d);
// 
//   }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test436"); }


    double d1 = org.apache.commons.math3.special.Gamma.digamma(2.339325509943003d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6211556418585831d);

  }

  @Test
  public void test437() {}
// Defects4J: flaky method
//   @Test
//   public void test437() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test437"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(192.02631293549746d, 4.5904492149668E-10d);
//     org.apache.commons.math3.distribution.FDistribution fDistribution11 = new org.apache.commons.math3.distribution.FDistribution(1.956853856925188E-7d, 4.7421875d, 198.78205585770795d);
//     double d12 = fDistribution11.getSupportLowerBound();
//     double d13 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)fDistribution11);
//     java.util.Collection collection14 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       java.lang.Object[] obj_array16 = randomDataImpl1.nextSample(collection14, 2);
//       org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
//     } catch (java.lang.NullPointerException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 3.211519637840641E-8d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 192.02631293499687d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d13 == 278.2182611397254d);
// 
//   }

  @Test
  public void test438() {}
// Defects4J: flaky method
//   @Test
//   public void test438() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test438"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution15 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
//     double d16 = binomialDistribution15.getNumericalMean();
//     double d17 = binomialDistribution15.getNumericalMean();
//     double d18 = binomialDistribution15.getNumericalMean();
//     int i19 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.IntegerDistribution)binomialDistribution15);
//     int i20 = binomialDistribution15.getSupportLowerBound();
//     double d22 = binomialDistribution15.probability(0);
//     int i23 = binomialDistribution15.getSupportUpperBound();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.09938681465178155d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-25L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 43.15258792785193d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i20 == 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d22 == 1.0018631021397204E-13d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i23 == 10);
// 
//   }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test439"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(3, maxCountExceededCallback1);
    int i3 = incrementor2.getMaximalCount();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 3);

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test440"); }


    double d1 = org.apache.commons.math3.util.FastMath.toRadians(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test441"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(2.68435482E9f, 10.0f, 1.4E-45f);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test442"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(3.6119033888554557d, 0.010545791766912282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == (-2.6712819183241305d));

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test443"); }


    double d1 = org.apache.commons.math3.util.FastMath.tanh(0.2175479428698508d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.21417972020194717d);

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test444"); }


    boolean b3 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.isSequence(1.5707963267948966d, 2.098611059101921E-4d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test445"); }


    double d1 = org.apache.commons.math3.util.FastMath.toDegrees(0.38274932467294664d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 21.92992091524231d);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test446"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)0.016935616361874108d);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test447"); }


    org.apache.commons.math3.distribution.FDistribution fDistribution3 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
    double d4 = fDistribution3.getNumericalVariance();
    double d5 = fDistribution3.getNumericalMean();
    fDistribution3.reseedRandomGenerator((-2L));
    boolean b8 = fDistribution3.isSupportUpperBoundInclusive();
    boolean b9 = fDistribution3.isSupportConnected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == true);

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test448"); }


    float f2 = org.apache.commons.math3.util.Precision.round(10.0f, 15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test449"); }


    double d1 = org.apache.commons.math3.util.FastMath.cos(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0d);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test450"); }


    double d1 = org.apache.commons.math3.special.Gamma.trigamma(47.48455907924084d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.021282784734306632d);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test451"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver0 = new org.apache.commons.math3.analysis.solvers.BrentSolver();
    double d1 = brentSolver0.getFunctionValueAccuracy();
    double d2 = brentSolver0.getRelativeAccuracy();
    double d3 = brentSolver0.getMin();
    double d4 = brentSolver0.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 1.0E-15d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0E-14d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test452"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable7 = null;
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (byte)0 };
    org.apache.commons.math3.exception.MathInternalError mathInternalError10 = new org.apache.commons.math3.exception.MathInternalError(localizable7, obj_array9);
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)'#', localizable6, obj_array9);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException12 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable4, obj_array9);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException13 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)192.02631293549743d, obj_array9);
    org.apache.commons.math3.exception.ConvergenceException convergenceException14 = new org.apache.commons.math3.exception.ConvergenceException(localizable2, obj_array9);
    org.apache.commons.math3.exception.MaxCountExceededException maxCountExceededException15 = new org.apache.commons.math3.exception.MaxCountExceededException(localizable0, number1, obj_array9);
    org.apache.commons.math3.exception.util.Localizable localizable16 = null;
    org.apache.commons.math3.exception.util.Localizable localizable18 = null;
    java.lang.Object[] obj_array20 = new java.lang.Object[] { (-0.8390715290764524d) };
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)Double.NaN, localizable18, obj_array20);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException22 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)maxCountExceededException15, localizable16, obj_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test453"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = new org.apache.commons.math3.util.ResizableDoubleArray(2, 1.0000001f, 1.0000001f, (-1023));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException");
    } catch (org.apache.commons.math3.exception.MathIllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MathIllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MathIllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test454"); }


    double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(0.0d, 0.007968481907933533d, 0.0d, 29791);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test455"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equalsIncludingNaN(0.026604230102148366d, 3.207695706666687E-4d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test456"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray1 = new org.apache.commons.math3.util.ResizableDoubleArray(3);
    double d3 = resizableDoubleArray1.addElementRolling(3.244257077789485d);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray4 = resizableDoubleArray1.copy();
    resizableDoubleArray4.clear();
    int i6 = resizableDoubleArray4.getExpansionMode();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = resizableDoubleArray4.getElement(158);
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(resizableDoubleArray4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i6 == 0);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test457"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable1 = null;
    java.lang.Object[] obj_array2 = null;
    org.apache.commons.math3.exception.ConvergenceException convergenceException3 = new org.apache.commons.math3.exception.ConvergenceException(localizable1, obj_array2);
    java.lang.Throwable[] throwable_array4 = convergenceException3.getSuppressed();
    org.apache.commons.math3.exception.ConvergenceException convergenceException5 = new org.apache.commons.math3.exception.ConvergenceException(localizable0, (java.lang.Object[])throwable_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array4);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test458"); }


    org.apache.commons.math3.util.Incrementor.MaxCountExceededCallback maxCountExceededCallback1 = null;
    org.apache.commons.math3.util.Incrementor incrementor2 = new org.apache.commons.math3.util.Incrementor(1, maxCountExceededCallback1);
    incrementor2.setMaximalCount(100);
    int i5 = incrementor2.getMaximalCount();
    incrementor2.resetCount();
    // The following exception was thrown during execution in test generation
    try {
      incrementor2.incrementCount(1075838976);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i5 == 100);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test459"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.pow(120L, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 1L);

  }

  @Test
  public void test460() {}
// Defects4J: flaky method
//   @Test
//   public void test460() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test460"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     long long10 = randomDataImpl1.nextSecureLong((-120L), 1L);
//     double d12 = randomDataImpl1.nextExponential(105.79194166889471d);
//     org.apache.commons.math3.distribution.BinomialDistribution binomialDistribution15 = new org.apache.commons.math3.distribution.BinomialDistribution(10, 0.9498719468266054d);
//     double d16 = binomialDistribution15.getNumericalMean();
//     double d17 = binomialDistribution15.getNumericalMean();
//     double d18 = binomialDistribution15.getNumericalMean();
//     int i19 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.IntegerDistribution)binomialDistribution15);
//     // The following exception was thrown during execution in test generation
//     try {
//       int[] i_array21 = binomialDistribution15.sample(0);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 1.9085931948379505E-9d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == (-1L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == (-12L));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 60.9073501845369d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d18 == 9.498719468266053d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i19 == 10);
// 
//   }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test461"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 1.1392065271079374E-5d, 0.4060664006874021d, 0.0d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test462"); }


    double d1 = org.apache.commons.math3.util.FastMath.asin(0.4938456177227325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.5165067669320009d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test463"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.special.Gamma.regularizedGammaP(1.5374987337403914d, 1.2526628965270348E-4d, 5.366294634319784d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException");
    } catch (org.apache.commons.math3.exception.MaxCountExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.MaxCountExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.MaxCountExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test464"); }


    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(4, 1.0000002f);
    resizableDoubleArray2.setExpansionFactor(Float.NaN);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test465"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NotPositiveException notPositiveException2 = new org.apache.commons.math3.exception.NotPositiveException(localizable0, (java.lang.Number)(-29L));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test466"); }


    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math3.util.ArithmeticUtils.binomialCoefficientLog(1, 4);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
    } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test467"); }


    org.apache.commons.math3.exception.NotStrictlyPositiveException notStrictlyPositiveException1 = new org.apache.commons.math3.exception.NotStrictlyPositiveException((java.lang.Number)3.141592653589793d);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test468"); }


    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction0 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math3.analysis.solvers.UnivariateSolverUtils.solve(univariateFunction0, 0.0d, 0.0d, 3.207695706666687E-4d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test469"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.mulAndCheck((-15), 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 0);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test470"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.util.Localizable localizable2 = null;
    org.apache.commons.math3.exception.util.Localizable localizable3 = null;
    java.lang.Throwable throwable4 = null;
    org.apache.commons.math3.exception.util.Localizable localizable5 = null;
    java.lang.Object[] obj_array7 = new java.lang.Object[] { 10 };
    org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException8 = new org.apache.commons.math3.exception.MathIllegalStateException(throwable4, localizable5, obj_array7);
    org.apache.commons.math3.exception.ConvergenceException convergenceException9 = new org.apache.commons.math3.exception.ConvergenceException(localizable3, obj_array7);
    org.apache.commons.math3.exception.MathIllegalArgumentException mathIllegalArgumentException10 = new org.apache.commons.math3.exception.MathIllegalArgumentException(localizable2, obj_array7);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException11 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)8.576682540073428E-5d, obj_array7);
    org.apache.commons.math3.exception.MathInternalError mathInternalError12 = new org.apache.commons.math3.exception.MathInternalError(localizable0, obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test471"); }


    double d2 = org.apache.commons.math3.special.Gamma.regularizedGammaQ(4.603055530843555E-6d, 2.211959131415142E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 6.787898082216692E-5d);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test472"); }


    org.apache.commons.math3.analysis.solvers.BrentSolver brentSolver1 = new org.apache.commons.math3.analysis.solvers.BrentSolver(1.0d);
    org.apache.commons.math3.analysis.UnivariateFunction univariateFunction3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = brentSolver1.solve(135, univariateFunction3, 38.21887257561182d, 8.20966045911918E-8d);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException");
    } catch (org.apache.commons.math3.exception.NullArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NullArgumentException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NullArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test473"); }


    double d2 = org.apache.commons.math3.util.MathUtils.normalizeAngle(2.211959131415142E-7d, 2.8156156450888643E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 2.211959131415142E-7d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test474"); }


    int i2 = org.apache.commons.math3.util.FastMath.min(2147483647, 3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 3);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test475"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array0);
    int i3 = resizableDoubleArray2.start();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = resizableDoubleArray2.getElement((-900977195));
      org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException");
    } catch (java.lang.ArrayIndexOutOfBoundsException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.ArrayIndexOutOfBoundsException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.ArrayIndexOutOfBoundsException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 0);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test476"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    java.lang.Number number1 = null;
    org.apache.commons.math3.exception.OutOfRangeException outOfRangeException4 = new org.apache.commons.math3.exception.OutOfRangeException(localizable0, number1, (java.lang.Number)(-1.5574077246549023d), (java.lang.Number)0);
    java.lang.Number number5 = outOfRangeException4.getArgument();
    org.apache.commons.math3.exception.util.Localizable localizable6 = null;
    org.apache.commons.math3.exception.util.Localizable localizable8 = null;
    org.apache.commons.math3.exception.util.Localizable localizable9 = null;
    org.apache.commons.math3.exception.util.Localizable localizable12 = null;
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (-0.8390715290764524d) };
    org.apache.commons.math3.util.MathUtils.checkNotNull((java.lang.Object)Double.NaN, localizable12, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException16 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.9498719468266054d, obj_array14);
    org.apache.commons.math3.exception.MathArithmeticException mathArithmeticException17 = new org.apache.commons.math3.exception.MathArithmeticException(localizable9, obj_array14);
    org.apache.commons.math3.exception.MathInternalError mathInternalError18 = new org.apache.commons.math3.exception.MathInternalError(localizable8, obj_array14);
    org.apache.commons.math3.exception.NotFiniteNumberException notFiniteNumberException19 = new org.apache.commons.math3.exception.NotFiniteNumberException((java.lang.Number)0.47304415554329315d, obj_array14);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math3.exception.MathIllegalStateException mathIllegalStateException20 = new org.apache.commons.math3.exception.MathIllegalStateException((java.lang.Throwable)outOfRangeException4, localizable6, obj_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(number5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test477"); }


    int i3 = org.apache.commons.math3.util.Precision.compareTo(0.15531222785647714d, 1.282822056411846E-9d, 2.241822415556948E-12d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test478"); }


    float f2 = org.apache.commons.math3.util.FastMath.nextAfter(2.5f, 1.0239145958798082d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 2.4999998f);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test479"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(932752001, 20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 932751981);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test480"); }


    boolean b3 = org.apache.commons.math3.util.Precision.equals(0.22079113208311038d, 0.0d, 29791);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test481"); }


    double d1 = org.apache.commons.math3.util.FastMath.cosh(382.33395694851436d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.552617420794299E165d);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test482"); }


    // The following exception was thrown during execution in test generation
    try {
      int i2 = org.apache.commons.math3.util.ArithmeticUtils.pow(4, (-70L));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException");
    } catch (org.apache.commons.math3.exception.NotPositiveException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotPositiveException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotPositiveException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test483"); }


    double d1 = org.apache.commons.math3.special.Gamma.logGamma(9.006054585916554E-25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 55.366730241929d);

  }

  @Test
  public void test484() {}
// Defects4J: flaky method
//   @Test
//   public void test484() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test484"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     double d7 = randomDataImpl1.nextCauchy(192.02631293549746d, 4.5904492149668E-10d);
//     int i10 = randomDataImpl1.nextZipf(7, 2.1973323999786748E-4d);
//     int i13 = randomDataImpl1.nextInt((-3069), 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.008941301124342315d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d7 == 192.0263129357393d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i10 == 7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(i13 == (-1027));
// 
//   }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test485"); }


    float f2 = org.apache.commons.math3.util.FastMath.scalb(10.0f, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f2 == 10.0f);

  }

  @Test
  public void test486() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test486"); }


    double d1 = org.apache.commons.math3.util.FastMath.ulp(0.4938456177227325d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 5.551115123125783E-17d);

  }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test487"); }


    double d1 = org.apache.commons.math3.util.FastMath.floor(0.47304415554329315d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.0d);

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test488"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.addAndCheck(297910, 243);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 298153);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test489"); }


    double[] d_array0 = new double[] {  };
    int i1 = org.apache.commons.math3.util.MathUtils.hash(d_array0);
    org.apache.commons.math3.util.ResizableDoubleArray resizableDoubleArray2 = new org.apache.commons.math3.util.ResizableDoubleArray(d_array0);
    float f3 = resizableDoubleArray2.getExpansionFactor();
    resizableDoubleArray2.contract();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i1 == 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(f3 == 2.0f);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test490"); }


    float f2 = org.apache.commons.math3.util.Precision.round(1.4E-45f, (-900977167));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((float)f2, Float.NaN, 0);

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test491"); }


    long long2 = org.apache.commons.math3.util.ArithmeticUtils.subAndCheck(0L, (-79L));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 79L);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test492"); }


    double d2 = org.apache.commons.math3.util.FastMath.IEEEremainder(0.13845421255089743d, 0.3267011923641013d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.13845421255089743d);

  }

  @Test
  public void test493() {}
// Defects4J: flaky method
//   @Test
//   public void test493() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test493"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     org.apache.commons.math3.distribution.FDistribution fDistribution11 = new org.apache.commons.math3.distribution.FDistribution(199.0d, 1.1933075953974313d, 2.339325509943003d);
//     double d12 = fDistribution11.getNumericalVariance();
//     boolean b13 = fDistribution11.isSupportLowerBoundInclusive();
//     double d14 = randomDataImpl1.nextInversionDeviate((org.apache.commons.math3.distribution.RealDistribution)fDistribution11);
//     double d16 = randomDataImpl1.nextExponential(2.0235024661379818E-12d);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d18 = randomDataImpl1.nextExponential((-1.0343201621074911d));
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException");
//     } catch (org.apache.commons.math3.exception.NotStrictlyPositiveException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NotStrictlyPositiveException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NotStrictlyPositiveException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 4.114822724041311E-8d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 1L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == true);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 8.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d16 == 2.286256116102647E-13d);
// 
//   }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test494"); }


    double d2 = org.apache.commons.math3.util.FastMath.hypot(0.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test495() {}
// Defects4J: flaky method
//   @Test
//   public void test495() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest1.test495"); }
// 
// 
//     org.apache.commons.math3.random.RandomGenerator randomGenerator0 = null;
//     org.apache.commons.math3.random.RandomDataImpl randomDataImpl1 = new org.apache.commons.math3.random.RandomDataImpl(randomGenerator0);
//     double d3 = randomDataImpl1.nextChiSquare(0.22343403979971044d);
//     randomDataImpl1.reSeedSecure();
//     long long7 = randomDataImpl1.nextLong((-1L), 1L);
//     double d9 = randomDataImpl1.nextExponential(0.8041703595251243d);
//     randomDataImpl1.reSeed();
//     randomDataImpl1.reSeedSecure();
//     // The following exception was thrown during execution in test generation
//     try {
//       int i14 = randomDataImpl1.nextInt(29791, 465);
//       org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException");
//     } catch (org.apache.commons.math3.exception.NumberIsTooLargeException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("org.apache.commons.math3.exception.NumberIsTooLargeException")) {
//         org.junit.Assert.fail("Expected exception of type org.apache.commons.math3.exception.NumberIsTooLargeException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d3 == 0.05620705446956073d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long7 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.0571980432026075d);
// 
//   }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test496"); }


    org.apache.commons.math3.exception.util.Localizable localizable0 = null;
    org.apache.commons.math3.exception.NumberIsTooLargeException numberIsTooLargeException4 = new org.apache.commons.math3.exception.NumberIsTooLargeException(localizable0, (java.lang.Number)(-53L), (java.lang.Number)77.2922297840421d, false);
    boolean b5 = numberIsTooLargeException4.getBoundIsAllowed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == false);

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test497"); }


    double d1 = org.apache.commons.math3.util.FastMath.sin(12.801827480081469d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.23328726966373098d);

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test498"); }


    int i2 = org.apache.commons.math3.util.ArithmeticUtils.lcm(297910, 9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i2 == 2681190);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test499"); }


    boolean b2 = org.apache.commons.math3.util.Precision.equals(1.5342938391999077E-9d, 1.98836306588688E-7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest1.test500"); }


    double d1 = org.apache.commons.math3.util.FastMath.acosh(0.015212636747601977d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

}
